#ifndef _renderPass

#define _renderPass


// Macros



#include "stdlib.h"

extern char * __ClassNames[];


// Includes

#include "mesh.h"

#include "shader.h"


typedef struct renderPass{

	bool enabled;

	struct shader * shader;

	struct mesh * mesh;


} renderPass;

void renderPass_prepare( renderPass * this );

void renderPass_render( renderPass * this );

renderPass renderPass_new(  );

renderPass * renderPass_newPointer(  );

#endif


typedef struct renderPass renderPass;



